<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\LinkPreviewMetadata;

use UnexpectedValueException;




class SocialMediaPostType
{
    


    const NONE = 0;
    


    const REEL = 1;
    


    const LIVE_VIDEO = 2;
    


    const LONG_VIDEO = 3;
    


    const SINGLE_IMAGE = 4;
    


    const CAROUSEL = 5;

    private static $valueToName = [
        self::NONE => 'NONE',
        self::REEL => 'REEL',
        self::LIVE_VIDEO => 'LIVE_VIDEO',
        self::LONG_VIDEO => 'LONG_VIDEO',
        self::SINGLE_IMAGE => 'SINGLE_IMAGE',
        self::CAROUSEL => 'CAROUSEL',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

